aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/bitlbee/files
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/bitlbee/files')
-rw-r--r--recipes/bitlbee/files/configure.patch21
-rw-r--r--recipes/bitlbee/files/init-script31
2 files changed, 52 insertions, 0 deletions
diff --git a/recipes/bitlbee/files/configure.patch b/recipes/bitlbee/files/configure.patch
new file mode 100644
index 0000000000..60488b1814
--- /dev/null
+++ b/recipes/bitlbee/files/configure.patch
@@ -0,0 +1,21 @@
+--- bitlbee/configure.orig 2006-11-25 13:01:16.000000000 +0100
++++ bitlbee/configure 2006-11-25 13:09:19.000000000 +0100
+@@ -57,6 +57,9 @@
+
+ --ssl=... SSL library to use (gnutls, nss, openssl, bogus, auto)
+ $ssl
++
++--arch=... The target architecture $arch
++--cpu=... The target cpu $cpu
+ EOF
+ exit;
+ fi
+@@ -366,6 +369,8 @@
+ ;;
+ esac
+
++echo Cpu: $cpu
++
+ echo
+ echo 'Configuration done:'
+
diff --git a/recipes/bitlbee/files/init-script b/recipes/bitlbee/files/init-script
new file mode 100644
index 0000000000..3ec3fdfb4a
--- /dev/null
+++ b/recipes/bitlbee/files/init-script
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+case "$1" in
+ start)
+ echo "Starting bitlbee daemon"
+ start-stop-daemon --start --startas BITLBEED_EXEC \
+ -c nobody:nogroup --exec BITLBEED_EXEC -- \
+ BITLBEED_OPTS /usr/sbin/bitlbee
+ [ $? -eq 0 ] || echo $? "Failed to start bitlbee daemon"
+ ;;
+
+ stop)
+ echo "Stopping bitlbee daemon"
+ start-stop-daemon --stop --signal 9 \
+ --exec BITLBEED_EXEC
+ [ $? -eq 0 ] || echo $? "Failed to stop bitlbee daemon"
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "usage: $0 { start | stop }"
+ exit 1
+ ;;
+esac
+
+exit 0